-- Crafting Categories
data:extend({
  {
    type = "recipe-category",
    name = "crafting-handonly",
  }
})

-- Item Subgroups
data:extend({
  {
    type = "item-subgroup",
    name = "test-subgroup",
    group = "other",
  },
})

-- Items
data:extend({

-- Fibre
  {
    type = "item",
    name = "cellulose-fiber",
    icon = "__InfiniteItemsTest__/graphics/cellulose-fiber.png",
    icon_size = 32,
    subgroup = "test-subgroup",
    order = "b[cellulose-fiber]",
    fuel_category = "chemical",
    fuel_value = "1MJ",
    stack_size = 200,
  },
-- Wood Pellets
  {
    type = "item",
    name = "wood-pellets",
    icon = "__InfiniteItemsTest__/graphics/wood-pellets.png",
    icon_size = 32,
    subgroup = "test-subgroup",
    order = "d[wood-pellets]",
    fuel_category = "chemical",
    fuel_value = "8MJ",
    stack_size = 200,
  },
-- Charcoal
  {
    type = "item",
    name = "wood-charcoal",
    icon = "__InfiniteItemsTest__/graphics/wood-charcoal.png",
    icon_size = 32,
    subgroup = "test-subgroup",
    order = "e[wood-bricks]",
    fuel_category = "chemical",
    fuel_value = "6MJ",
    stack_size = 200,
  },
-- Wood Brick
  {
    type = "item",
    name = "wood-bricks",
    icon = "__InfiniteItemsTest__/graphics/wood-bricks.png",
    icon_size = 32,
    subgroup = "test-subgroup",
    order = "e[wood-bricks]",
    fuel_category = "chemical",
    fuel_value = "15MJ",
    stack_size = 200,
  },
})

-- Recipes
data:extend({

-- Forage for fibre
  {
    type = "recipe",
    name = "test-cellulose-foraging",
    category = "crafting-handonly",
    subgroup = "test-subgroup",
    enabled = true,
    energy_required = 2,
    ingredients = {},
    result = "cellulose-fiber",
    result_count = 1,
    allow_as_intermediate = true,
    allow_decomposition = false,
  },
-- Wood pellets
  {
    type = "recipe",
    name = "wood-pellets",
    category = "crafting",
    subgroup = "test-subgroup",
    enabled = true,
    energy_required = 4,
    ingredients = {
      { type = "item", name = "cellulose-fiber", amount = 12 },
    },
    result = "wood-pellets",
    result_count = 2,
  },
-- Wood brick
  {
    type = "recipe",
    name = "wood-bricks",
    category = "crafting",
    subgroup = "test-subgroup",
    enabled = true,
    energy_required = 2,
    ingredients = {
      { type = "item", name = "wood-pellets", amount = 8 },
    },
    result = "wood-bricks",
    result_count = 4,
  },
-- Charcoal
  {
    type = "recipe",
    name = "test-wood-bricks-charcoal",
    category = "smelting",
    enabled = true,
    energy_required = 3.5,
    ingredients = { { "wood-bricks", 1 } },
    result = "wood-charcoal",
    result_count = 5,
    subgroup = "test-subgroup",
  },
-- Small electric pole
  {
    type = "recipe",
    name = "test-small-electric-pole",
    category = "crafting",
    enabled = true,
    energy_required = 3.5,
    ingredients = { { "copper-cable", 2 }, { "wood-bricks", 1 } },
    result = "small-electric-pole",
    result_count = 2,
    subgroup = "test-subgroup",
  },
})
